www.cendio.com
Bug 4873 - make-dummy-cert assumes presence of openssl
: make-dummy-cert assumes presence of openssl
Status: CLOSED FIXED
: ThinLinc
Web Access
: trunk
: PC Unknown
: P2 Normal
: 4.2.0
Assigned To:
:
:
:
:
  Show dependency treegraph
 
Reported: 2013-10-25 11:05 by
Modified: 2014-04-01 16:05 (History)


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description From cendio 2013-10-25 11:05:21
bash-3.2# /opt/thinlinc/etc/tlwebaccess/make-dummy-cert `hostname`
/opt/thinlinc/etc/tlwebaccess/make-dummy-cert: line 19: openssl: command not
found
Done.

Consider updating agent_hostname, using:
tl-config /vsmagent/agent_hostname=sunray



Multiple errors here:

1. We blindly assume the required tools are installed.
2. We don't do any error handling.
3. The documentation fails to mention requirements.
------- Comment #1 From cendio 2013-10-25 11:07:05 -------
More errors:

4. We don't suggest sudo for tl-config.
5. tl-config should be specified with a full path because /opt/thinlinc/bin
will not be in $PATH via sudo.
------- Comment #2 From cendio 2014-02-12 14:33:12 -------
Fixed in revision 28417.
------- Comment #3 From cendio 2014-03-18 13:03:36 -------
Tested using build 4289, works as expected.